import { API } from "lambda-api";
import { Controller } from "./Controller";
import { EndpointInfo } from "../model/EndpointInfo";
export declare class Endpoint {
    private readonly endpointInfo;
    private readonly controllerFactory;
    constructor(endpointInfo: EndpointInfo, controllerFactory: (constructor: Function) => Controller);
    register(api: API): void;
    private invoke;
    private mapHttpMethodToCall;
    private invokeControllerMethod;
    private buildEndpointParameters;
}
