import { API } from "lambda-api";
import { Container } from "inversify";
import { AppConfig } from "../model/AppConfig";
import { ApiRequest } from "../model/ApiRequest";
import { ApiResponse } from "../model/ApiResponse";
export declare class Server {
    private readonly api;
    constructor(apiConfig?: AppConfig);
    configure(handler: (this: void, api: API) => void): void;
    discoverAndBuildRoutes(controllersPath: string, appContainer: Container): Promise<void>;
    processEvent(request: ApiRequest, context: any): Promise<ApiResponse>;
}
