"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DecoratorRegistry_1 = require("../DecoratorRegistry");
const BodyParameterExtractor_1 = require("../parameters/BodyParameterExtractor");
function fromBody(classDefinition, methodName, paramIndex) {
    let controller = DecoratorRegistry_1.DecoratorRegistry.getOrCreateController(classDefinition.constructor);
    let endpoint = DecoratorRegistry_1.DecoratorRegistry.getOrCreateEndpoint(controller, methodName);
    endpoint.parameterExtractors[paramIndex] = new BodyParameterExtractor_1.BodyParameterExtractor();
}
exports.fromBody = fromBody;
//# sourceMappingURL=fromBody.js.map