"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DecoratorRegistry_1 = require("../DecoratorRegistry");
const ResponseParameterExtractor_1 = require("../parameters/ResponseParameterExtractor");
function response(classDefinition, methodName, paramIndex) {
    let controller = DecoratorRegistry_1.DecoratorRegistry.getOrCreateController(classDefinition.constructor);
    let endpoint = DecoratorRegistry_1.DecoratorRegistry.getOrCreateEndpoint(controller, methodName);
    endpoint.parameterExtractors[paramIndex] = new ResponseParameterExtractor_1.ResponseParameterExtractor();
}
exports.response = response;
//# sourceMappingURL=response.js.map