import { Request, Response } from "lambda-api";
import { JsonPatch } from "../model/JsonPatch";
export declare abstract class Controller {
    protected request: Request;
    protected response: Response;
    setRequest(request: Request): void;
    setResponse(response: Response): void;
    protected applyJsonPatch<T>(patch: JsonPatch, obj: T): T;
}
