"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DecoratorRegistry_1 = require("../DecoratorRegistry");
const HeaderParameterExtractor_1 = require("../parameters/HeaderParameterExtractor");
function header(headerName) {
    return (classDefinition, methodName, paramIndex) => {
        let controller = DecoratorRegistry_1.DecoratorRegistry.getOrCreateController(classDefinition.constructor);
        let endpoint = DecoratorRegistry_1.DecoratorRegistry.getOrCreateEndpoint(controller, methodName);
        endpoint.parameterExtractors[paramIndex] = new HeaderParameterExtractor_1.HeaderParameterExtractor(headerName);
    };
}
exports.header = header;
//# sourceMappingURL=header.js.map