"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DecoratorRegistry_1 = require("../DecoratorRegistry");
const RequestParameterExtractor_1 = require("../parameters/RequestParameterExtractor");
function request(classDefinition, methodName, paramIndex) {
    let controller = DecoratorRegistry_1.DecoratorRegistry.getOrCreateController(classDefinition.constructor);
    let endpoint = DecoratorRegistry_1.DecoratorRegistry.getOrCreateEndpoint(controller, methodName);
    endpoint.parameterExtractors[paramIndex] = new RequestParameterExtractor_1.RequestParameterExtractor();
}
exports.request = request;
//# sourceMappingURL=request.js.map