import { ControllerInfo } from "./ControllerInfo";
import { IParameterExtractor } from "../api/parameters/IParameterExtractor";
export declare class EndpointInfo {
    readonly name: string;
    readonly controller: ControllerInfo;
    readonly methodName: string;
    readonly method: Function;
    readonly parameterExtractors: IParameterExtractor[];
    httpMethod: string;
    path?: string;
    produces?: string;
    constructor(name: string, controller: ControllerInfo, methodName: string);
}
